Package csb :: Package bio :: Package io :: Module wwpdb :: Class RemoteStructureProvider

[frames] | no frames]

# Class RemoteStructureProvider

source code

           object --+
                    |
    StructureProvider --+
                        |
                       RemoteStructureProvider

Retrieves PDB structures from a specified remote URL. The URL requested from remote server takes the form: <prefix>/<ID><suffix>

Nested Classes
Inherited from `StructureProvider`: `__metaclass__`

Instance Methods

__init__(self, prefix=`'``http://www.rcsb.org/pdb/files/pdb``'`, suffix=`'``.ent``'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

str or None

find(self, id) Attempt to discover a PDB file, given a specific PDB `id`. | source code

csb.bio.Structure

get(self, id, model=None) Discover, parse and return the PDB structure, corresponding to the specified `id`. | source code

Inherited from `StructureProvider`: `__getitem__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
str | prefix Current URL prefix
str | suffix Current URL suffix
Inherited from `object`: `__class__`

Method Details

### __init__(self, prefix=`'``http://www.rcsb.org/pdb/files/pdb``'`, suffix=`'``.ent``'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `prefix` (str) - URL prefix, including protocol
  - `suffix` (str) - optional URL suffix (.ent by default)
Overrides: object.__init__
  (inherited documentation)

### find(self, id)

source code

Attempt to discover a PDB file, given a specific PDB `id`.

Parameters:
  - `id` - structure identifier (e.g. 1x80)
Returns: str or None
  path and file name on success, None otherwise
Overrides: StructureProvider.find
  (inherited documentation)

### get(self, id, model=None)

source code

Discover, parse and return the PDB structure, corresponding to the specified `id`.

Parameters:
  - `id` - structure identifier (e.g. 1x80)
  - `model` - optional model identifier
Returns: csb.bio.Structure
Raises:
  - `StructureNotFoundError` - when `id` could not be found
Overrides: StructureProvider.get
  (inherited documentation)

Property Details

### prefix

Current URL prefix

Get Method:
  unreachable.prefix(self) - Current URL prefix
Set Method:
  unreachable.prefix(self, value)
Type:
  str

### suffix

Current URL suffix

Get Method:
  unreachable.suffix(self) - Current URL suffix
Set Method:
  unreachable.suffix(self, value)
Type:
  str